svm_model Struct Reference

`#include <pcl/ml/svm.h>`

Inheritance diagram for svm_model:

## Public Attributes

struct svm_parameter | param
int | nr_class
int | l
struct svm_node ** | SV
double ** | sv_coef
double * | rho
double * | probA
double * | probB
int * | label
int * | nSV
int | free_sv
struct svm_node * | scaling

## Detailed Description

Definition at line 108 of file svm.h.

## Member Data Documentation

## free_sv

int svm_model::free_sv

Definition at line 127 of file svm.h.

## l

int svm_model::l

Definition at line 113 of file svm.h.

Referenced by pcl::SVM::saveClassifierModel().

## label

int* svm_model::label

Definition at line 123 of file svm.h.

## nr_class

int svm_model::nr_class

Definition at line 112 of file svm.h.

## nSV

int* svm_model::nSV

Definition at line 124 of file svm.h.

## param

struct svm_parameter svm_model::param

Definition at line 111 of file svm.h.

## probA

double* svm_model::probA

Definition at line 118 of file svm.h.

## probB

double* svm_model::probB

Definition at line 119 of file svm.h.

## rho

double* svm_model::rho

Definition at line 117 of file svm.h.

## scaling

struct svm_node* svm_model::scaling

Definition at line 132 of file svm.h.

## SV

struct svm_node** svm_model::SV

Definition at line 115 of file svm.h.

## sv_coef

double** svm_model::sv_coef

Definition at line 116 of file svm.h.

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/ml/include/pcl/ml/svm.h